Skip to content

Complete WebAuthn registration

POST
/api/v1/auth/2fa/webauthn/register/complete
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/auth/2fa/webauthn/register/complete \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "attestation_object": "example", "client_data_json": "example" }'

Verify attestation and store credential.

Media typeapplication/json
WebAuthnRegisterCompleteRequest

Request to complete WebAuthn registration.

object
attestation_object
required
Attestation Object

Base64 attestation object

string
client_data_json
required
Client Data Json

Base64 client data JSON

string
Examplegenerated
{
"attestation_object": "example",
"client_data_json": "example"
}

Successful Response

Media typeapplication/json
Response Webauthn Register Complete Api V1 Auth 2Fa Webauthn Register Complete Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}